##
##  tomcat.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tomcat
Summary:      Apache Jakarta Tomcat
URL:          http://jakarta.apache.org/
Vendor:       Apache Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Web
License:      Apache Software License 1.1
Version:      3.2.4
Release:      20030108

#   list of sources
Source0:      http://jakarta.apache.org/builds/jakarta-tomcat/release/v%{version}/bin/jakarta-tomcat-%{version}.tar.gz
Source1:      rc.tomcat
Source2:      tomcat.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021120
PreReq:       OpenPKG, openpkg >= 20021120, JRE
AutoReq:      no
AutoReqProv:  no

%description
    Apache Jakarta Tomcat %{version} is a complete rewrite of Jserv and
    supplies the functionality of both a Servlet API 2.2 and a JSP 1.1
    compliant container.

%prep
    %setup -q -n jakarta-tomcat-%{version}

%build

%install
    rm -rf $RPM_BUILD_ROOT

    #   create installation tree
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/tomcat \
        $RPM_BUILD_ROOT%{l_prefix}/share/tomcat/doc \
        $RPM_BUILD_ROOT%{l_prefix}/var/tomcat/log

    #   unpack vendor distribution and relocate to final location
    %{l_tar} -cf - --exclude lib/test \
        bin/*.sh bin/ant bin/antRun conf lib src webapps |\
    (   umask 022; \
        cd $RPM_BUILD_ROOT%{l_prefix}/libexec/tomcat/; \
        %{l_tar} -xf - )

    #   patch vendor distribution
    (   cd $RPM_BUILD_ROOT%{l_prefix}/libexec/tomcat
        cat %{SOURCE tomcat.patch} |\
        sed -e 's;@l_prefix@;%{l_prefix};g' | %{l_patch} -p0
    )

    #   make scripts executable
    chmod 755 $RPM_BUILD_ROOT%{l_prefix}/libexec/tomcat/bin/*

    #   install run-command script
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.tomcat} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/tomcat/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

